import type { _MTRBridgedDeviceBasicInformationClusterKeepActiveParams } from "./MTRBridgedDeviceBasicInformationClusterKeepActiveParams.js";
import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRWriteParams } from "./MTRWriteParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterBridgedDeviceBasicInformation extends _MTRGenericCluster {
    static alloc(): _MTRClusterBridgedDeviceBasicInformation;
    static new(): _MTRClusterBridgedDeviceBasicInformation;
    init(): _MTRClusterBridgedDeviceBasicInformation;
    keepActiveWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRBridgedDeviceBasicInformationClusterKeepActiveParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    readAttributeVendorNameWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeVendorIDWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductNameWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductIDWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNodeLabelWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeNodeLabelWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeNodeLabelWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeHardwareVersionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeHardwareVersionStringWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSoftwareVersionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSoftwareVersionStringWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeManufacturingDateWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributePartNumberWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductURLWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductLabelWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSerialNumberWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeReachableWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeUniqueIDWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductAppearanceWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterBridgedDeviceBasicInformation | null;
}
